#441 Segmentation fault in release_urecord

1.7.x
closed-fixed
core (110)
5
2015-02-27
2011-10-28
Sergey Lavrov
No

opensips-1.7.0 rev 8357
OS: centos 5.6 x86_64
---

Core was generated by `/usr/sbin/opensips'.
Program terminated with signal 11, Segmentation fault.
#0 0x00002ad9dcd68987 in release_urecord (_r=0x2ad9e3589aa0) at urecord.c:417
417 mem_delete_urecord(_r->slot->d, _r);

---

(gdb) bt

#0 0x00002ad9dcd68987 in release_urecord (_r=0x2ad9e3589aa0) at urecord.c:417
#1 0x00002ad9dcd642ac in delete_urecord (_d=0x2ad9e3bdc4c0, _aor=0x7fff02fb35d8, _r=0x2ad9e3589aa0) at udomain.c:888
#2 0x00002ad9de267036 in insert_contacts (_m=0x8b7570, _c=0x91d2a8, _d=0x2ad9e3bdc4c0, _a=0x7fff02fb35d8, _sctx=0x7fff02fb35d0) at save.c:476
#3 0x00002ad9de268585 in add_contacts (_m=0x8b7570, forced_binding=<value optimized out>, _d=0x2ad9e3bdc4c0 "`Ľ\343\331*", _f=<value optimized out>, _s=0x0) at save.c:677
#4 save_aux (_m=0x8b7570, forced_binding=<value optimized out>, _d=0x2ad9e3bdc4c0 "`Ľ\343\331*", _f=<value optimized out>, _s=0x0) at save.c:797
#5 0x00002ad9de269517 in save (_m=0x2ad9e3589aa0, _d=0x2ad9e3bdc4c0 "`Ľ\343\331*", _f=0x0, _s=0x0) at save.c:835
#6 0x00000000004122dc in do_action (a=0x7a7b40, msg=0x8b7570) at action.c:1280
#7 0x0000000000415cc3 in run_action_list (a=<value optimized out>, msg=0x8b7570) at action.c:141
#8 0x000000000045bf31 in eval_elem (e=0x7a7c18, msg=0x8b7570, val=0x2ad9e3589aa0) at route.c:1398
#9 eval_expr (e=0x7a7c18, msg=0x8b7570, val=0x2ad9e3589aa0) at route.c:1740
#10 0x000000000045b9e0 in eval_expr (e=0x7a7c68, msg=0x8b7570, val=0x0) at route.c:1756
#11 0x000000000045b955 in eval_expr (e=0x7a7cb8, msg=0x8b7570, val=0x0) at route.c:1761
#12 0x00000000004124ab in do_action (a=0x7a8158, msg=0x8b7570) at action.c:830
#13 0x0000000000415cc3 in run_action_list (a=<value optimized out>, msg=0x8b7570) at action.c:141
#14 0x00000000004155de in do_action (a=0x7a8230, msg=0x8b7570) at action.c:853
#15 0x0000000000415cc3 in run_action_list (a=<value optimized out>, msg=0x8b7570) at action.c:141
#16 0x0000000000413a05 in do_action (a=0x79f5d8, msg=0x8b7570) at action.c:121
#17 0x0000000000415cc3 in run_action_list (a=<value optimized out>, msg=0x8b7570) at action.c:141
#18 0x000000000041487b in do_action (a=0x79f6b0, msg=0x8b7570) at action.c:847
#19 0x0000000000415cc3 in run_action_list (a=<value optimized out>, msg=0x8b7570) at action.c:141
#20 0x0000000000416060 in run_actions (a=0x799980, msg=0x8b7570) at action.c:121
#21 run_top_route (a=0x799980, msg=0x8b7570) at action.c:182
#22 0x000000000044f890 in receive_msg (
buf=0x753020 "REGISTER sip:domain.com SIP/2.0\r\nVia: SIP/2.0/UDP a.a.a.a:43677;branch=z9hG4bK40ff4a611f160a0aa77dbfaf3d7e4e;rport\r\nFrom: \"user\" <sip:user@domain.com>;tag=2894794752\r\nT"...,
len=790, rcv_info=0x7fff02fb60a0) at receive.c:165
#23 0x000000000048f698 in udp_rcv_loop () at udp_server.c:419
#24 0x000000000042a57c in main_loop (argc=<value optimized out>, argv=<value optimized out>) at main.c:885
#25 main (argc=<value optimized out>, argv=<value optimized out>) at main.c:1503

---

(gdb) bt full
#0 0x00002ad9dcd68987 in release_urecord (_r=0x2ad9e3589aa0) at urecord.c:417
No locals.
#1 0x00002ad9dcd642ac in delete_urecord (_d=0x2ad9e3bdc4c0, _aor=0x7fff02fb35d8, _r=0x2ad9e3589aa0) at udomain.c:888
c = 0x2ad9e3589aa0
__FUNCTION__ = "delete_urecord"
#2 0x00002ad9de267036 in insert_contacts (_m=0x8b7570, _c=0x91d2a8, _d=0x2ad9e3bdc4c0, _a=0x7fff02fb35d8, _sctx=0x7fff02fb35d0) at save.c:476
ci = 0x0
r = 0x2ad9e3589aa0
c = 0x2ad9e3c87298
cflags = 0
num = 1
e = 1319456756
e_max = <value optimized out>
tcp_check = 0
uri = {user = {s = 0x800929070 <Address 0x800929070 out of bounds>, len = -501303920}, passwd = {
s = 0x7530fc "user@domain.com>\r\nCall-ID: 3138099034@91_190_92_222\r\nCSeq: 147424 REGISTER\r\nContact: <sip:user@a.a.a.a:43677>\r\nAuthorization: Digest username=\"user\", realm=\"domain.com"..., len = 9}, host = {s = 0x0, len = 0}, port = {
s = 0x753106 "domain.com>\r\nCall-ID: 3138099034@91_190_92_222\r\nCSeq: 147424 REGISTER\r\nContact: <sip:user@a.a.a.a:43677>\r\nAuthorization: Digest username=\"user\", realm=\"domain.com\", qop"..., len = 18}, params = {s = 0x0, len = 0}, headers = {s = 0x0, len = 0}, port_no = 0, proto = 0, type = ERROR_URI_T, transport = {s = 0x0, len = 0}, ttl = {s = 0x0, len = 0}, user_param = {s = 0x0, len = 0}, maddr = {s = 0x0,
len = 0}, method = {s = 0x0, len = 0}, lr = {s = 0x0, len = 0}, r2 = {s = 0x0, len = 0}, transport_val = {s = 0x0, len = 0}, ttl_val = {s = 0x0, len = 0}, user_param_val = {s = 0x0, len = 0}, maddr_val = {s = 0x0,
len = 0}, method_val = {s = 0x0, len = 0}, lr_val = {s = 0x0, len = 0}, r2_val = {s = 0x0, len = 0}, u_name = {{s = 0x0, len = 0}, {s = 0x0, len = 0}, {s = 0x0, len = 0}, {s = 0x0, len = 0}, {s = 0x0, len = 0}}, u_val = {{
s = 0x0, len = 0}, {s = 0x0, len = 0}, {s = 0x0, len = 0}, {s = 0x42b10e "\205\300\017D\303H\203\304([A\\\303\017\037D", len = 0}, {s = 0x2ad9e3c87258 "user3@domain3.com", len = 34}}, u_params_no = 59872}
__FUNCTION__ = "insert_contacts"
#3 0x00002ad9de268585 in add_contacts (_m=0x8b7570, forced_binding=<value optimized out>, _d=0x2ad9e3bdc4c0 "`Ľ\343\331*", _f=<value optimized out>, _s=0x0) at save.c:677
__FUNCTION__ = "add_contacts"
#4 save_aux (_m=0x8b7570, forced_binding=<value optimized out>, _d=0x2ad9e3bdc4c0 "`Ľ\343\331*", _f=<value optimized out>, _s=0x0) at save.c:797
sctx = {flags = 0, aor = {s = 0x2ad9de46e9e0 "user@domain.com", len = 28}, max_contacts = 10}
c = 0x91d2a8
forced_c = 0x8b7570
st = 0
uri = {
s = 0x7530f8 "sip:user@domain.com>\r\nCall-ID: 3138099034@91_190_92_222\r\nCSeq: 147424 REGISTER\r\nContact: <sip:user@a.a.a.a:43677>\r\nAuthorization: Digest username=\"user\", realm=\"pobeda.man"..., len = 32}
flags_s = {s = 0x8bd270 "Proxy-Authenticate: Digest realm=\"domain2.com\", nonce=\"4ea5505800014ae6fb587cb7a539775d9cd08292d312580b\", qop=\"auth\", stale=true\r\n", len = 9139568}
val = {rs = {s = 0x0, len = 0}, ri = -1, flags = -1}
__FUNCTION__ = "save_aux"
#5 0x00002ad9de269517 in save (_m=0x2ad9e3589aa0, _d=0x2ad9e3bdc4c0 "`Ľ\343\331*", _f=0x0, _s=0x0) at save.c:835
msg = <value optimized out>
t = <value optimized out>
_c = <value optimized out>
reply_c = <value optimized out>
request_c = <value optimized out>
st = 4
ret = <value optimized out>
requested_exp = 0
enforced_exp = 0
val = {n = 0, s = {s = 0x0, len = -400104444}}
l = <value optimized out>
p = <value optimized out>
forced_binding_buf = "\037\001\000\000\000\000\000\000\217\066$\350\067\000\000\000\000@\000\000\000\000\000\000\240\224\220\016", '\000' <repeats 12 times>, " 0u\000\000\000\000\000\000\000\000\000\377\177\000\000\003\000\000\000\000\000\000\000\001\000\000\000\000\000\000\000\277\370*\350\067\000\000\000\000\232\215\016\000\000\000\000.N'\350\067\000\000\000\017", '\000' <repeats 11 times>, "\001\003\000\000\017\000\000\000\000\000\000\000 0u\000\000\000\000\000\001\000\000\000\000\000\000\000`\255\201\000\000\000\000\000\005\000\000\000\000\000\000\000\020\065\216\016\000\000\000\000\000\232\215\016\000\000\000\000\273('\350\067\000\000\000(\000\000\000\060", '\000' <repeats 19 times>, "`\255\201\000\000\000\000\000\005\000\000\000\000\000\000\000 0u\000\000\000\000\000\001\000\000\000\000\000\000\000\267l"...
forced_binding = {s = 0x0, len = 0}
---Type <return> to continue, or q <return> to quit---
binding_uri = <value optimized out>
__FUNCTION__ = "save"
#6 0x00000000004122dc in do_action (a=0x7a7b40, msg=0x8b7570) at action.c:1280
val_s = {s = 0x0, len = 0}
aux = {s = 0x0, len = 0}
ret = <value optimized out>
v = <value optimized out>
to = <value optimized out>
p = <value optimized out>
tmp = <value optimized out>
new_uri = <value optimized out>
end = <value optimized out>
crt = <value optimized out>
len = <value optimized out>
i = <value optimized out>
user = <value optimized out>
vals = {{s = 0x0, len = 0}, {s = 0x0, len = 0}, {s = 0x0, len = 0}, {s = 0x0, len = 0}, {s = 0x0, len = 0}}
result = {s = 0x0, len = 0}
uri = {user = {s = 0x2100000001 <Address 0x2100000001 out of bounds>, len = 7680379}, passwd = {s = 0x7fff02fb3c88 "z1u", len = 7680375}, host = {s = 0x0, len = 7680375}, port = {s = 0x7fff02fb3c93 "", len = 50019474},
params = {s = 0xffffffffffffffb0 <Address 0xffffffffffffffb0 out of bounds>, len = 50019472}, headers = {s = 0xffffffff <Address 0xffffffff out of bounds>, len = -399636303}, port_no = 12673, proto = 117, type = ERROR_URI_T,
transport = {s = 0x7fff02fb3c88 "z1u", len = 50020144}, ttl = {s = 0x2fb3f20 <Address 0x2fb3f20 out of bounds>, len = 9139568}, user_param = {
s = 0x75317a ":43677>\r\nAuthorization: Digest username=\"user\", realm=\"domain.com\", qop=auth, uri=\"sip:domain.com\", nonce=\"4ea5505500014a0249c8ced22812bace046cb67ffc76bdeb\", nc=00000001, cnonce=\""..., len = 6078043}, maddr = {s = 0x2ad9de6825d3 "\205\300x\t\213](1\300\205\333\177\331H\213\005\001\\ ", len = 1}, method = {s = 0x3a <Address 0x3a out of bounds>, len = 9139568}, lr = {s = 0x3a <Address 0x3a out of bounds>,
len = 9139568}, r2 = {s = 0x7fff02fb3f30 "[\276\\", <incomplete sequence \336>, len = 15}, transport_val = {
s = 0x2ad9de6828d5 "\205\300\017\205\276\376\377\377HcD$HL\211\346H\003D$@\017\266\030", <incomplete sequence \306>, len = -554916120}, ttl_val = {
s = 0x4ca197 "1\322H\213\\$\020H\213l$\030\211\320L\213d$ H\203\304(Ð\213\005:\026&", len = 50020128}, user_param_val = {s = 0x13007ecb48 <Address 0x13007ecb48 out of bounds>, len = 7680355}, maddr_val = {
s = 0x9 <Address 0x9 out of bounds>, len = 0}, method_val = {s = 0x0, len = 7680365}, lr_val = {s = 0xd <Address 0xd out of bounds>, len = 7680379}, r2_val = {s = 0x5 <Address 0x5 out of bounds>, len = 0}, u_name = {{
s = 0x0, len = 0}, {s = 0x0, len = 43677}, {s = 0x0, len = 0}, {s = 0x0, len = 0}, {s = 0x0, len = 0}}, u_val = {{s = 0x0, len = 0}, {s = 0x0, len = 0}, {s = 0x0, len = 0}, {s = 0x0, len = 0}, {s = 0x0, len = 0}},
u_params_no = 0}
next_hop = {user = {s = 0x7fff02fb3bcc "", len = 4376103}, passwd = {s = 0x37e8553a48 "8:U\350\067", len = 50019172}, host = {s = 0x7fff02fb3b68 "", len = 50019180}, port = {s = 0x0, len = 0}, params = {s = 0x0, len = 0},
headers = {s = 0x0, len = 0}, port_no = 0, proto = 0, type = ERROR_URI_T, transport = {s = 0x0, len = 0}, ttl = {s = 0x8 <Address 0x8 out of bounds>, len = 50019168}, user_param = {s = 0x8 <Address 0x8 out of bounds>,
len = 8}, maddr = {s = 0x500000000 <Address 0x500000000 out of bounds>, len = 1}, method = {s = 0xe90b4f0 "\006", len = 7680032}, lr = {s = 0xe99c9c0 "@\226\233\016", len = 0}, r2 = {s = 0x0, len = 0}, transport_val = {
s = 0xf00000301 <Address 0xf00000301 out of bounds>, len = 15}, ttl_val = {s = 0x31600000005 <Address 0x31600000005 out of bounds>, len = 21}, user_param_val = {s = 0x200000015 <Address 0x200000015 out of bounds>,
len = 0}, maddr_val = {s = 0xe8e35b8 "", len = 16777217}, method_val = {s = 0x1 <Address 0x1 out of bounds>, len = 244200720}, lr_val = {s = 0xffffffff00000000 <Address 0xffffffff00000000 out of bounds>, len = 0},
r2_val = {s = 0x0, len = 0}, u_name = {{s = 0x0, len = 0}, {s = 0x0, len = 0}, {s = 0x0, len = 0}, {s = 0x0, len = 0}, {s = 0x0, len = 0}}, u_val = {{s = 0x0, len = 0}, {s = 0x4a97ce "\203|$D\004\017\216\067Y",
len = 9828216}, {s = 0x0, len = 9828224}, {s = 0x4c1bff "H\213\003\213{\bH\211E", len = 0}, {s = 0x7fff02fb3c60 "\201\061u", len = 8498528}}, u_params_no = 12320}
u = <value optimized out>
port = <value optimized out>
cmatch = <value optimized out>
aitem = <value optimized out>
adefault = <value optimized out>
spec = <value optimized out>
model = <value optimized out>
val = {rs = {s = 0x0, len = 0}, ri = 0, flags = 0}
pve = <value optimized out>
name_s = {s = 0x0, len = 0}
__FUNCTION__ = "do_action"
#7 0x0000000000415cc3 in run_action_list (a=<value optimized out>, msg=0x8b7570) at action.c:141
ret = -1
t = 0x7a7b40
__FUNCTION__ = "run_action_list"
#8 0x000000000045bf31 in eval_elem (e=0x7a7c18, msg=0x8b7570, val=0x2ad9e3589aa0) at route.c:1398
__FUNCTION__ = "eval_elem"
#9 eval_expr (e=0x7a7c18, msg=0x8b7570, val=0x2ad9e3589aa0) at route.c:1740
---Type <return> to continue, or q <return> to quit---
ret = <value optimized out>
rec_lev = 3
__FUNCTION__ = "eval_expr"
#10 0x000000000045b9e0 in eval_expr (e=0x7a7c68, msg=0x8b7570, val=0x0) at route.c:1756
ret = <value optimized out>
rec_lev = 3
__FUNCTION__ = "eval_expr"
#11 0x000000000045b955 in eval_expr (e=0x7a7cb8, msg=0x8b7570, val=0x0) at route.c:1761
ret = <value optimized out>
rec_lev = 3
__FUNCTION__ = "eval_expr"
#12 0x00000000004124ab in do_action (a=0x7a8158, msg=0x8b7570) at action.c:830
val_s = {
s = 0x8baaf8 "SIP/2.0 100 Trying\r\nVia: SIP/2.0/UDP a.a.a.a:43677;branch=z9hG4bK40ff4a611f160a0aa77dbfaf3d7e4e;rport=43677\r\nFrom: \"user\" <sip:user@domain.com>;tag=2894794752\r\nTo: \"user\" "..., len = 336}
aux = {s = 0x0, len = 0}
ret = <value optimized out>
v = <value optimized out>
to = <value optimized out>
p = <value optimized out>
tmp = <value optimized out>
new_uri = <value optimized out>
end = <value optimized out>
crt = <value optimized out>
len = <value optimized out>
i = <value optimized out>
user = <value optimized out>
vals = {{s = 0x1 <Address 0x1 out of bounds>, len = 4639519}, {s = 0x742842 "100_out", len = 7}, {s = 0xc <Address 0xc out of bounds>, len = 336}, {s = 0x8b7570 "6\037M", len = -501303920}, {s = 0x8b7570 "6\037M",
len = 9153272}}
result = {s = 0xde5cbe5b9daa0002 <Address 0xde5cbe5b9daa0002 out of bounds>, len = 9139568}
uri = {user = {s = 0xffffffffffffffff <Address 0xffffffffffffffff out of bounds>, len = -399370996}, passwd = {s = 0x0, len = 0}, host = {
s = 0x7532af "C595 IP/42.024.00.000.000\r\nExpires: 20\r\nAllow: INVITE, ACK, CANCEL, BYE, OPTIONS, INFO, REFER, SUBSCRIBE, NOTIFY\r\nContent-Length: 0\r\n\r\n", len = 25}, port = {s = 0x0, len = 7985872}, params = {
s = 0xf <Address 0xf out of bounds>, len = 7969152}, headers = {s = 0x0, len = 8023136}, port_no = 4, proto = 0, type = ERROR_URI_T, transport = {s = 0x8b7570 "6\037M", len = 9139568}, ttl = {
s = 0x45b955 "\211\303\353\032\017\037\200", len = 0}, user_param = {s = 0x7fff02fb52f0 "(", len = 5294468}, maddr = {s = 0xe9bee40 "8:U\350\067", len = 9523056}, method = {s = 0x966478 "-3", len = 18}, lr = {s = 0x0,
len = -1}, r2 = {s = 0x50c984 "%.*s", len = 0}, transport_val = {s = 0x7fff02fb5088 "pu\213", len = 9191632}, ttl_val = {s = 0x0, len = 0}, user_param_val = {s = 0x0, len = 0}, maddr_val = {
s = 0x4547ef "\205\300\017\204\"\001", len = 9139568}, method_val = {s = 0x5 <Address 0x5 out of bounds>, len = 9139568}, lr_val = {s = 0xc <Address 0xc out of bounds>, len = 15}, r2_val = {s = 0x436bac "Ic\304\306\004(",
len = 0}, u_name = {{s = 0x7fff02fb4d80 <incomplete sequence \370\252\213>, len = 50023808}, {s = 0x7fff02fb4d80 <incomplete sequence \370\252\213>, len = 315}, {s = 0x150 <Address 0x150 out of bounds>, len = 9153587}, {
s = 0x438e4d "\351B\001", len = 0}, {s = 0x7fff02fb4d70 "", len = 50023816}}, u_val = {{s = 0x0, len = 50023952}, {s = 0x6400000000 <Address 0x6400000000 out of bounds>, len = 9153272}, {
s = 0x48ec9d "\211D$4\203\300\001uxH\213\005;\313)", len = 9828216}, {s = 0x46c5c4 "\205\300u\332\351\002\377\377\377\017\037", len = 9605232}, {s = 0x2ad9e21eb590 "F\251", len = 17}}, u_params_no = 43768}
next_hop = {user = {s = 0x0, len = 0}, passwd = {s = 0x2ad9de8b7338 " ", len = 1}, host = {
s = 0x7533a8 "Content-Length: 201\r\n\r\nv=0\r\no=- 20071 20071 IN IP4 192.168.0.160\r\ns=SDP data\r\nc=IN IP4 192.168.0.160\r\nt=0 0\r\nm=audio 11790 RTP/AVP 8 101\r\na=rtpmap:8 PCMA/8000\r\na=fmtp:101 0-15\r\na=rtpmap:101 telephone-"..., len = -397067808}, port = {s = 0x37e832103b "/etc/localtime", len = 15}, params = {s = 0xe8bc240 "/etc/localtime", len = -397064800}, headers = {s = 0xe9bf22c "", len = -400077266}, port_no = 15, proto = 0,
type = ERROR_URI_T, transport = {s = 0x37e832103b "/etc/localtime", len = 1}, ttl = {s = 0xe8bc240 "/etc/localtime", len = 1}, user_param = {s = 0x7fff02fb5030 "", len = -561299964}, maddr = {s = 0x2ad9de8b3e05 "", len = 0},
method = {s = 0x37e824368f "H9\303\017\205\357\364\377\377Hc\225\300\372\377\377\270\377\377\377\177H)\320H9\303\017\207\327\364\377\377\213\205\300\372\377\377D)\340D\001艅\300\372\377\377A\200}", len = 0}, lr = {
s = 0x7fff02fb4ff0 "\020", len = 1448}, r2 = {s = 0x7fff02fb4b10 "\017", len = 8}, transport_val = {s = 0x37e831ffb6 "%H:%M:%S", len = 8180}, ttl_val = {s = 0x7fff02fb5170 "", len = -561299969}, user_param_val = {
s = 0x7fff02fb5040 "\240EU\350\067", len = 245101100}, maddr_val = {s = 0x37e828d4a0 "\213\005Z\230,", len = 822083584}, method_val = {s = 0x0, len = -1}, lr_val = {s = 0x2ad9de8b3dff "%d_%u ", len = 0}, r2_val = {
s = 0x7fff02fb4ef8 "\240EU\350\067", len = 16}, u_name = {{s = 0x0, len = 1}, {s = 0x7fff02fb5100 " \356\233\016", len = -399370994}, {s = 0x37e832150f "", len = 0}, {
s = 0x37e824368f "H9\303\017\205\357\364\377\377Hc\225\300\372\377\377\270\377\377\377\177H)\320H9\303\017\207\327\364\377\377\213\205\300\372\377\377D)\340D\001艅\300\372\377\377A\200}", len = 32}, {
s = 0x7fff02fb50c0 "", len = 1968522656}}, u_val = {{s = 0xa <Address 0xa out of bounds>, len = 7680687}, {s = 0x19 <Address 0x19 out of bounds>, len = 0}, {s = 0x8b7570 "6\037M", len = 9139568}, {
s = 0x2ad9dac27dd3 "\205\300\017\205", <incomplete sequence \361>, len = -397067808}, {s = 0x7fff02fb4d20 "\375\377\377\377\034", len = 7680671}}, u_params_no = 2}
u = <value optimized out>
port = <value optimized out>
cmatch = <value optimized out>
aitem = <value optimized out>
---Type <return> to continue, or q <return> to quit---
adefault = <value optimized out>
spec = <value optimized out>
model = <value optimized out>
val = {rs = {s = 0x0, len = -585633531}, ri = -3, flags = 28}
pve = <value optimized out>
name_s = {s = 0x0, len = 0}
__FUNCTION__ = "do_action"
#13 0x0000000000415cc3 in run_action_list (a=<value optimized out>, msg=0x8b7570) at action.c:141
ret = -1
t = 0x7a8158
__FUNCTION__ = "run_action_list"
#14 0x00000000004155de in do_action (a=0x7a8230, msg=0x8b7570) at action.c:853
val_s = {
s = 0x8b9f40 "SIP/2.0 100 Trying\r\nVia: SIP/2.0/UDP 192.168.1.115:5062;branch=z9hG4bK606160920;rport=1027;received=213.183.230.150\r\nFrom: \"user\" <sip:user4@domain4.com>;tag=342167647\r"..., len = 383}
aux = {s = 0x8ba007 "\r\nTo: \"user\" <sip:user4@domain4.com>\r\nCall-ID: 1385115540@192.168.1.115\r\nCSeq: 1 REGISTER\r\nServer: SIP Gateway\r\nContent-Length: 0\r\n\r\n", len = 37}
ret = <value optimized out>
v = 0
to = <value optimized out>
p = <value optimized out>
tmp = <value optimized out>
new_uri = <value optimized out>
end = <value optimized out>
crt = <value optimized out>
len = <value optimized out>
i = <value optimized out>
user = <value optimized out>
vals = {{s = 0x1 <Address 0x1 out of bounds>, len = 4639519}, {s = 0x742842 "100_out", len = 7}, {s = 0xc <Address 0xc out of bounds>, len = 383}, {s = 0x8b7570 "6\037M", len = -501303920}, {s = 0x8b7570 "6\037M",
len = 9150272}}
result = {s = 0x79f440 "\017", len = 7992600}
uri = {user = {s = 0xffffffffffffffff <Address 0xffffffffffffffff out of bounds>, len = -399370996}, passwd = {s = 0x0, len = 0}, host = {s = 0x0, len = 7985872}, port = {s = 0xd <Address 0xd out of bounds>, len = 9139568},
params = {s = 0x8b7570 "6\037M", len = 4570929}, headers = {s = 0x0, len = 50026320}, port_no = 60960, proto = 3739, type = ERROR_URI_T, transport = {s = 0x7fff02fb5270 "p\220\222", len = 1677721600}, ttl = {
s = 0xfb <Address 0xfb out of bounds>, len = 0}, user_param = {s = 0x7fff02fb58c0 "(", len = 5294468}, maddr = {s = 0xe9bee40 "8:U\350\067", len = 15669}, method = {s = 0x2010 <Address 0x2010 out of bounds>, len = 17},
lr = {s = 0x0, len = -1}, r2 = {s = 0x50c984 "%.*s", len = 0}, transport_val = {s = 0x7fff02fb5658 "\300X\373\002\377\177", len = 245100096}, ttl_val = {s = 0x0, len = 0}, user_param_val = {s = 0x0, len = 0}, maddr_val = {
s = 0x0, len = 0}, method_val = {s = 0x0, len = 9139488}, lr_val = {s = 0xc <Address 0xc out of bounds>, len = 1929379855}, r2_val = {s = 0x436bac "Ic\304\306\004(", len = 245100096}, u_name = {{
s = 0x7fff02fb5350 "@\237\213", len = 50025296}, {s = 0x0, len = 362}, {s = 0x17f <Address 0x17f out of bounds>, len = 9150634}, {s = 0x438e4d "\351B\001", len = 244040432}, {s = 0x7fff02fb5340 "\a\240\213",
len = 50025304}}, u_val = {{s = 0x2ad9dd380910 "\300\t8\335\331*", len = 50025440}, {s = 0xc8de8a0a19 <Address 0xc8de8a0a19 out of bounds>, len = 840}, {s = 0x3480048ec9d <Address 0x3480048ec9d out of bounds>,
len = 5294471}, {s = 0x46c5c4 "\205\300u\332\351\002\377\377\377\017\037", len = 9605232}, {s = 0x2ad9e21eb590 "F\251", len = 17}}, u_params_no = 40768}
next_hop = {user = {s = 0x0, len = 0}, passwd = {s = 0x0, len = 0}, host = {s = 0x81ab50 "\300\204\220\016", len = -397067808}, port = {s = 0x37e832103b "/etc/localtime", len = 15}, params = {s = 0xe8bc240 "/etc/localtime",
len = -397064800}, headers = {s = 0xe9bf0ac "15:45:36 /usr/sbin/opensips[15669]: ERROR:registrar:insert_contacts: failed to insert new record structure\n", len = -400077266}, port_no = 15, proto = 0, type = ERROR_URI_T,
transport = {s = 0x37e832103b "/etc/localtime", len = 1}, ttl = {s = 0xe8bc240 "/etc/localtime", len = -397064800}, user_param = {
s = 0xe9bf0ac "15:45:36 /usr/sbin/opensips[15669]: ERROR:registrar:insert_contacts: failed to insert new record structure\n", len = 50024368}, maddr = {s = 0x37e828c9ff "D\213=\372\242,", len = 1}, method = {
s = 0x81a4 <Address 0x81a4 out of bounds>, len = 0}, lr = {s = 0x0, len = 1448}, r2 = {s = 0x1000 <Address 0x1000 out of bounds>, len = 8}, transport_val = {s = 0x37e831ffb6 "%H:%M:%S", len = 8180}, ttl_val = {
s = 0x37e8321508 "T ", len = 8}, user_param_val = {s = 0xe9bf0ac "15:45:36 /usr/sbin/opensips[15669]: ERROR:registrar:insert_contacts: failed to insert new record structure\n", len = 245100716}, maddr_val = {
s = 0x37e828d4a0 "\213\005Z\230,", len = 822083584}, method_val = {s = 0x37e8292068 "\351Y\377\377\377Hc\332L\211\377\276\060", len = 9139568}, lr_val = {s = 0x45b955 "\211\303\353\032\017\037\200", len = -397079840},
r2_val = {s = 0x7fff02fb51f0 "PS\373\002\377\177", len = 16}, u_name = {{s = 0x7fff02fb51f0 "PS\373\002\377\177", len = 1}, {s = 0x7fff02fb56d0 "\004", len = -399370994}, {s = 0x37e832150f "", len = 0}, {
s = 0x37e824368f "H9\303\017\205\357\364\377\377Hc\225\300\372\377\377\270\377\377\377\177H)\320H9\303\017\207\327\364\377\377\213\205\300\372\377\377D)\340D\001艅\300\372\377\377A\200}", len = 0}, {
s = 0x7fff02fb5690 "\220\003", len = -397064800}}, u_val = {{s = 0x7fff02fb51b0 "", len = 1}, {s = 0x37e828c9ff "D\213=\372\242,", len = -559177248}, {s = 0x0, len = 7985656}, {s = 0x79dad0 "\002", len = -1}, {
s = 0x8b7570 "6\037M", len = 50024624}}, u_params_no = 23747}
u = <value optimized out>
port = <value optimized out>
cmatch = <value optimized out>
aitem = <value optimized out>
adefault = <value optimized out>
---Type <return> to continue, or q <return> to quit---
spec = <value optimized out>
model = <value optimized out>
val = {rs = {s = 0x0, len = -585633531}, ri = 40, flags = 48}
pve = <value optimized out>
name_s = {s = 0x7fff02fb53fc "", len = 7969152}
__FUNCTION__ = "do_action"
#15 0x0000000000415cc3 in run_action_list (a=<value optimized out>, msg=0x8b7570) at action.c:141
ret = 1
t = 0x7a8230
__FUNCTION__ = "run_action_list"
#16 0x0000000000413a05 in do_action (a=0x79f5d8, msg=0x8b7570) at action.c:121
val_s = {s = 0x0, len = 3}
aux = {s = 0x400000000 <Address 0x400000000 out of bounds>, len = 50026992}
ret = <value optimized out>
v = <value optimized out>
to = <value optimized out>
p = <value optimized out>
tmp = <value optimized out>
new_uri = <value optimized out>
end = <value optimized out>
crt = <value optimized out>
len = <value optimized out>
i = <value optimized out>
user = <value optimized out>
vals = {{s = 0x1d <Address 0x1d out of bounds>, len = 888}, {s = 0xe9bf0a0 "<131>Oct 24 15:45:36 /usr/sbin/opensips[15669]: ERROR:registrar:insert_contacts: failed to insert new record structure\n", len = 1319456736}, {
s = 0x8a4d40 "\017\233y", len = 3}, {s = 0x799b88 "I", len = 9139568}, {s = 0x8a4ca8 "\360\232y", len = 9139568}}
result = {s = 0x8a4ca8 "\360\232y", len = 9139568}
uri = {user = {s = 0x2010 <Address 0x2010 out of bounds>, len = 889}, passwd = {s = 0x2010 <Address 0x2010 out of bounds>, len = 245100688}, host = {s = 0x390 <Address 0x390 out of bounds>, len = -400079495}, port = {
s = 0xe9bf0ac "15:45:36 /usr/sbin/opensips[15669]: ERROR:registrar:insert_contacts: failed to insert new record structure\n", len = -397067808}, params = {s = 0x1 <Address 0x1 out of bounds>, len = 7969152}, headers = {
s = 0x0, len = 7992680}, port_no = 4, proto = 0, type = ERROR_URI_T, transport = {s = 0x8b7570 "6\037M", len = 9139568}, ttl = {s = 0x45b955 "\211\303\353\032\017\037\200", len = 0}, user_param = {s = 0xe9bf090 "`\002",
len = 0}, maddr = {s = 0x37e82753e2 "H\211\302\203=<\033.", len = 15669}, method = {s = 0x2010 <Address 0x2010 out of bounds>, len = 17}, lr = {s = 0x15 <Address 0x15 out of bounds>, len = 245100096}, r2 = {s = 0x0,
len = 0}, transport_val = {s = 0x15 <Address 0x15 out of bounds>, len = 245100096}, ttl_val = {s = 0x15 <Address 0x15 out of bounds>, len = 0}, user_param_val = {s = 0x7fff02fb58c0 "(", len = 5294468}, maddr_val = {
s = 0x37e82728bb "H\203\304([]Ë\025\354\031.", len = 50026688}, method_val = {s = 0x15 <Address 0x15 out of bounds>, len = 21}, lr_val = {s = 0xe9bee40 "8:U\350\067", len = 21}, r2_val = {
s = 0x15 <Address 0x15 out of bounds>, len = 245100096}, u_name = {{s = 0x37e82d09fb "H\201\304", <incomplete sequence \310>, len = 36}, {s = 0x180000000f <Address 0x180000000f out of bounds>, len = 9}, {
s = 0x12800000001 <Address 0x12800000001 out of bounds>, len = 0}, {s = 0x3840 <Address 0x3840 out of bounds>, len = 244040432}, {s = 0x4982bb "A\213.H\211D$\020\215E\001\203\370+w\t\211\300\377$Ő\347O",
len = 9139568}}, u_val = {{s = 0x8000000 <Address 0x8000000 out of bounds>, len = 7680714}, {s = 0x753336 "", len = 0}, {s = 0x445bc0 "\351\313\376\377\377H\203\070", len = 18}, {s = 0x8a4af0 "#\231y", len = 245100704}, {
s = 0x0, len = 7814272}}, u_params_no = 13}
next_hop = {user = {s = 0x0, len = 0}, passwd = {s = 0x7fff02fb55c0 "\020", len = -397064800}, host = {s = 0x37e8550300 "V\020\062\350\067", len = -397067808}, port = {s = 0x37e832103b "/etc/localtime", len = 15}, params = {
s = 0xe8bc240 "/etc/localtime", len = -397064800}, headers = {s = 0xe9bf0ac "15:45:36 /usr/sbin/opensips[15669]: ERROR:registrar:insert_contacts: failed to insert new record structure\n", len = -400077266}, port_no = 15,
proto = 0, type = ERROR_URI_T, transport = {s = 0x37e832103b "/etc/localtime", len = 1}, ttl = {s = 0xe8bc240 "/etc/localtime", len = -397064800}, user_param = {
s = 0xe9bf0ac "15:45:36 /usr/sbin/opensips[15669]: ERROR:registrar:insert_contacts: failed to insert new record structure\n", len = 50025856}, maddr = {s = 0x37e828c9ff "D\213=\372\242,", len = 1}, method = {
s = 0x81a4 <Address 0x81a4 out of bounds>, len = 0}, lr = {s = 0x0, len = 1448}, r2 = {s = 0x1000 <Address 0x1000 out of bounds>, len = 8}, transport_val = {s = 0x37e831ffb6 "%H:%M:%S", len = 8180}, ttl_val = {
s = 0x37e8321508 "T ", len = 8}, user_param_val = {s = 0xe9bf0ac "15:45:36 /usr/sbin/opensips[15669]: ERROR:registrar:insert_contacts: failed to insert new record structure\n", len = 245100716}, maddr_val = {
s = 0x37e828d4a0 "\213\005Z\230,", len = 822083584}, method_val = {s = 0x37e8292068 "\351Y\377\377\377Hc\332L\211\377\276\060", len = 9139568}, lr_val = {s = 0x45b955 "\211\303\353\032\017\037\200", len = -397079840},
r2_val = {s = 0x7fff02fb57c0 "$", len = 16}, u_name = {{s = 0x7fff02fb57c0 "$", len = 50026240}, {s = 0x37e85545a0 "", len = -397081856}, {s = 0x3e8274e2e <Address 0x3e8274e2e out of bounds>, len = 244040432}, {
s = 0x8 <Address 0x8 out of bounds>, len = 0}, {s = 0xe8bc240 "/etc/localtime", len = -397064800}}, u_val = {{s = 0x50c984 "%.*s", len = 1}, {s = 0x37e828c9ff "D\213=\372\242,", len = 5294468}, {s = 0x37e85539e0 "",
len = 7969672}, {s = 0x258 <Address 0x258 out of bounds>, len = -397067808}, {s = 0x7fff02fb58c0 "(", len = 608}}, u_params_no = 4256}
u = <value optimized out>
port = <value optimized out>
cmatch = <value optimized out>
aitem = <value optimized out>
adefault = <value optimized out>
spec = <value optimized out>
model = <value optimized out>
---Type <return> to continue, or q <return> to quit---
val = {rs = {s = 0x8b7570 "6\037M", len = -399700621}, ri = 40, flags = 48}
pve = <value optimized out>
name_s = {s = 0x7fff02fb59cc "", len = 9139568}
__FUNCTION__ = "do_action"
#17 0x0000000000415cc3 in run_action_list (a=<value optimized out>, msg=0x8b7570) at action.c:141
ret = -1
t = 0x79f5d8
__FUNCTION__ = "run_action_list"
#18 0x000000000041487b in do_action (a=0x79f6b0, msg=0x8b7570) at action.c:847
val_s = {s = 0x8b7578 "\001", len = 7680032}
aux = {s = 0x8b7570 "6\037M", len = 790}
ret = <value optimized out>
v = 0
to = <value optimized out>
p = <value optimized out>
tmp = <value optimized out>
new_uri = <value optimized out>
end = <value optimized out>
crt = <value optimized out>
len = <value optimized out>
i = <value optimized out>
user = <value optimized out>
vals = {{s = 0x50000000000000a <Address 0x50000000000000a out of bounds>, len = 4833067}, {s = 0x8b7570 "6\037M", len = 790}, {s = 0x8c20a8 "\001", len = 7680032}, {
s = 0x75304e "SIP/2.0/UDP a.a.a.a:43677;branch=z9hG4bK40ff4a611f160a0aa77dbfaf3d7e4e;rport\r\nFrom: \"user\" <sip:user@domain.com>;tag=2894794752\r\nTo: \"user\" <sip:user@domain.comp."..., len = 7680822}, {s = 0x8b9010 "\001", len = 4814882}}
result = {
s = 0x753049 "Via: SIP/2.0/UDP a.a.a.a:43677;branch=z9hG4bK40ff4a611f160a0aa77dbfaf3d7e4e;rport\r\nFrom: \"user\" <sip:user@domain.com>;tag=2894794752\r\nTo: \"user\" <sip:user@domain.com"..., len = 4817595}
uri = {user = {s = 0x77edd8 "\v", len = 9139568}, passwd = {s = 0x2ad9000003c2 <Address 0x2ad9000003c2 out of bounds>, len = 9139568}, host = {
s = 0x8c4bf1 " RTP/AVP 8 96\r\na=rtpmap:8 PCMA/8000\r\na=rtpmap:96 telephone-event/8000\r\na=fmtp:96 0-15\r\na=ptime:30\r\na=sendrecv\r\na=sdpmangled:yes\r\n", len = 4408786}, port = {s = 0x15 <Address 0x15 out of bounds>,
len = 13}, params = {s = 0x0, len = 50027856}, headers = {s = 0x7fff02fb5d54 "\302\003", len = 9139568}, port_no = 0, proto = 0, type = ERROR_URI_T, transport = {
s = 0x753020 "REGISTER sip:domain.com SIP/2.0\r\nVia: SIP/2.0/UDP a.a.a.a:43677;branch=z9hG4bK40ff4a611f160a0aa77dbfaf3d7e4e;rport\r\nFrom: \"user\" <sip:user@domain.com>;tag=2894794752\r\nT"..., len = 0}, ttl = {s = 0x30 <Address 0x30 out of bounds>, len = -470684096}, user_param = {s = 0x1 <Address 0x1 out of bounds>, len = 7859288}, maddr = {s = 0x436268 "H\205\300\017\205c\377\377\377H\213=(\372\063",
len = -470684096}, method = {s = 0x602fb5d50 <Address 0x602fb5d50 out of bounds>, len = 2}, lr = {s = 0x7fff091ea8c0 <Address 0x7fff091ea8c0 out of bounds>, len = 9139568}, r2 = {
s = 0xbc72000004b7700 <Address 0xbc72000004b7700 out of bounds>, len = 1020}, transport_val = {s = 0x3c2 <Address 0x3c2 out of bounds>, len = 2}, ttl_val = {
s = 0x8c48b0 "SIP/2.0 200 OK\r\nTo: <sip:regi@domain5.com>;tag=7ff72787cfb63d43i0\r\nContact: <sip:regi@d.d.d.d:5060>\r\nFrom: \"78795140210\"<sip:78795140210@b.b.b.b:5066>;tag=58187f70\r\nCall-ID: YmY4ODM"..., len = -484520976}, user_param_val = {s = 0x522 <Address 0x522 out of bounds>, len = 1}, maddr_val = {s = 0x2ad9dd39a806 "\205\300\017\211\t\377\377\377H\213\005K[\"", len = 1020}, method_val = {
s = 0x400 <Address 0x400 out of bounds>, len = 1024}, lr_val = {s = 0x2ad9e31ecad0 "", len = -581157216}, r2_val = {s = 0x400 <Address 0x400 out of bounds>, len = -581157216}, u_name = {{
s = 0x8c2530 <incomplete sequence \350>, len = 7680078}, {
s = 0x753020 "REGISTER sip:domain.com SIP/2.0\r\nVia: SIP/2.0/UDP a.a.a.a:43677;branch=z9hG4bK40ff4a611f160a0aa77dbfaf3d7e4e;rport\r\nFrom: \"user\" <sip:user@domain.com>;tag=2894794752\r\nT"..., len = 6}, {s = 0x4b7038 "H\205\300H\211D$@D\017\266T$(\017\204\b2", len = 9139568}, {s = 0x7fff02fb5f58 "pu\213", len = 200}, {s = 0x4a7f23 "L;t$ H\213D$\030", <incomplete sequence \307>, len = 7680408}}, u_val = {{
s = 0xd004a7f06 <Address 0xd004a7f06 out of bounds>, len = 9146384}, {s = 0x753336 "", len = 9177312}, {
s = 0x7530a2 "From: \"user\" <sip:user@domain.com>;tag=2894794752\r\nTo: \"user\" <sip:user@domain.com>\r\nCall-ID: 3138099034@91_190_92_222\r\nCSeq: 147424 REGISTER\r\nContact: <sip:ekonomi"..., len = 7680155}, {
s = 0x75313d "\nCSeq: 147424 REGISTER\r\nContact: <sip:user@a.a.a.a:43677>\r\nAuthorization: Digest username=\"user\", realm=\"domain.com\", qop=auth, uri=\"sip:domain.com\", nonce=\"4ea55055000"..., len = 9146384}, {s = 0x49bf2b "H\205\300\017\204\037\002", len = 7680417}}, u_params_no = 12433}
next_hop = {user = {s = 0x2ad9dda14880 "Ж\212\016", len = 9139568}, passwd = {s = 0x2ad9e33b1aa8 "\b", len = 8}, host = {s = 0x2ad9e27d8e38 "\003", len = 7813952}, port = {s = 0x72b7e8 "x\244\036\342\331*", len = -578927202},
params = {s = 0x7fff02fb5aa0 "\b", len = 4096}, headers = {s = 0x8 <Address 0x8 out of bounds>, len = 9139568}, port_no = 36408, proto = 57981, type = 10969, transport = {s = 0xc8 <Address 0xc8 out of bounds>, len = 3},
ttl = {s = 0x2ad9e221f5a0 "", len = -470785600}, user_param = {s = 0x2ad9dd7f1234 "\203\274$X\001", len = 7680087}, maddr = {s = 0x12 <Address 0x12 out of bounds>, len = -397064800}, method = {
s = 0x439ed0 "\203", <incomplete sequence \370>, len = 50027376}, lr = {s = 0x7fff02fb5cec "\006", len = 50027744}, r2 = {s = 0x8000000c8 <Address 0x8000000c8 out of bounds>, len = 0}, transport_val = {
s = 0x2ad900000000 <Address 0x2ad900000000 out of bounds>, len = 50027360}, ttl_val = {s = 0x1 <Address 0x1 out of bounds>, len = 962}, user_param_val = {s = 0x2ad9e3f1ee40 "A", len = 962}, maddr_val = {
s = 0x8 <Address 0x8 out of bounds>, len = 5000}, method_val = {s = 0x48e854 "\205\300\211\302\017\210\066\002", len = 16}, lr_val = {s = 0x3c200000006 <Address 0x3c200000006 out of bounds>, len = 20}, r2_val = {
s = 0x100000001 <Address 0x100000001 out of bounds>, len = 6}, u_name = {{s = 0xbc72000004b7700 <Address 0xbc72000004b7700 out of bounds>, len = 10}, {s = 0x400 <Address 0x400 out of bounds>, len = -470684096}, {s = 0x0,
len = 1024}, {s = 0x2ad9e3f1ee40 "A", len = 0}, {s = 0x475811 "H\213\224$(\001", len = 0}}, u_val = {{s = 0x0, len = 9150008}, {s = 0x34e8292068 <Address 0x34e8292068 out of bounds>, len = 0}, {s = 0x0, len = 0}, {
---Type <return> to continue, or q <return> to quit---
s = 0x2ad900000000 <Address 0x2ad900000000 out of bounds>, len = -1}, {s = 0x3c2ffffffff <Address 0x3c2ffffffff out of bounds>, len = 9193648}}, u_params_no = 13340}
u = <value optimized out>
port = <value optimized out>
cmatch = <value optimized out>
aitem = <value optimized out>
adefault = <value optimized out>
spec = <value optimized out>
model = <value optimized out>
val = {rs = {s = 0x7ec078 "\001", len = 4815071}, ri = 9192368, flags = 0}
pve = <value optimized out>
name_s = {s = 0x8b7570 "6\037M", len = 9183400}
__FUNCTION__ = "do_action"
#19 0x0000000000415cc3 in run_action_list (a=<value optimized out>, msg=0x8b7570) at action.c:141
ret = 1
t = 0x79f6b0
__FUNCTION__ = "run_action_list"
#20 0x0000000000416060 in run_actions (a=0x799980, msg=0x8b7570) at action.c:121
__FUNCTION__ = "run_actions"
#21 run_top_route (a=0x799980, msg=0x8b7570) at action.c:182
bk_action_flags = 0
bk_rec_lev = 0
ret = 0
#22 0x000000000044f890 in receive_msg (
buf=0x753020 "REGISTER sip:domain.com SIP/2.0\r\nVia: SIP/2.0/UDP a.a.a.a:43677;branch=z9hG4bK40ff4a611f160a0aa77dbfaf3d7e4e;rport\r\nFrom: \"user\" <sip:user@domain.com>;tag=2894794752\r\nT"...,
len=790, rcv_info=0x7fff02fb60a0) at receive.c:165
msg = 0x2ad9e3589aa0
start = {tv_sec = 808857653, tv_usec = 7859216}
__FUNCTION__ = "receive_msg"
#23 0x000000000048f698 in udp_rcv_loop () at udp_server.c:419
len = 790
tmp = 0x2ad9e21e6388 ""
from = <value optimized out>
fromlen = 16
ri = {src_ip = {af = 2, len = 4, u = {addrl = {3730619995, 11}, addr32 = {3730619995, 0, 11, 0}, addr16 = {48731, 56924, 0, 0, 11, 0, 0, 0}, addr = "[\276\\\336\000\000\000\000\v\000\000\000\000\000\000"}}, dst_ip = {af = 2,
len = 4, u = {addrl = {3947911249, 0}, addr32 = {3947911249, 0, 0, 0}, addr16 = {22609, 60240, 0, 0, 0, 0, 0, 0}, addr = "QXP\353", '\000' <repeats 11 times>}}, src_port = 43677, dst_port = 5060, proto = 1,
proto_reserved1 = 0, proto_reserved2 = 0, src_su = {s = {sa_family = 2, sa_data = "\252\235[\276\\\336\000\000\000\000\000\000\000"}, sin = {sin_family = 2, sin_port = 40362, sin_addr = {s_addr = 3730619995},
sin_zero = "\000\000\000\000\000\000\000"}, sin6 = {sin6_family = 2, sin6_port = 40362, sin6_flowinfo = 3730619995, sin6_addr = {in6_u = {u6_addr8 = '\000' <repeats 15 times>, u6_addr16 = {0, 0, 0, 0, 0, 0, 0, 0},
u6_addr32 = {0, 0, 0, 0}}}, sin6_scope_id = 0}}, bind_address = 0x77ec10}
p = 0x77e1b0
buf = "REGISTER sip:domain.com SIP/2.0\r\nVia: SIP/2.0/UDP a.a.a.a:43677;branch=z9hG4bK40ff4a611f160a0aa77dbfaf3d7e4e;rport\r\nFrom: \"user\" <sip:user@domain.com>;tag=2894794752\r\nT"...
__FUNCTION__ = "udp_rcv_loop"
#24 0x000000000042a57c in main_loop (argc=<value optimized out>, argv=<value optimized out>) at main.c:885
i = 1
pid = <value optimized out>
si = <value optimized out>
startup_done = 0x0
load_p = <value optimized out>
chd_rank = 5
__FUNCTION__ = "main_loop"
#25 main (argc=<value optimized out>, argv=<value optimized out>) at main.c:1503
cfg_log_stderr = <value optimized out>
cfg_stream = 0xe89a5e0
c = <value optimized out>
r = <value optimized out>
---Type <return> to continue, or q <return> to quit---
tmp = 0x4e3eb7 "H\215\005Ba$"
tmp_len = <value optimized out>
port = 0
proto = <value optimized out>
ret = <value optimized out>
seed = 1837619586
rfd = <value optimized out>
__FUNCTION__ = "main"

Discussion

    • assigned_to: nobody --> bogdan_iancu
     
  • Hi Sergey,

    Please post the configuration / params of the usrloc module. Also , in gdb, frame 0, do "print *_r" .

    Thanks and regards,
    Bogdan

    PS: is there a deterministic way to reproduce this ?

     
  • Sergey Lavrov
    Sergey Lavrov
    2011-11-09

    I got this segmentation fault only once so dont have any clue how to reproduce it.
    ---
    usrloc configuration:
    ########################################################################
    loadmodule "usrloc.so"
    ########################################################################
    modparam("usrloc", "nat_bflag", 6)
    modparam("usrloc", "user_column", "username")
    modparam("usrloc", "domain_column", "domain")
    modparam("usrloc", "contact_column", "contact")
    modparam("usrloc", "expires_column", "expires")
    modparam("usrloc", "q_column", "q")
    modparam("usrloc", "callid_column", "callid")
    modparam("usrloc", "cseq_column", "cseq")
    modparam("usrloc", "methods_column", "methods")
    modparam("usrloc", "flags_column", "flags")
    modparam("usrloc", "cflags_column", "cflags")
    modparam("usrloc", "user_agent_column", "user_agent")
    modparam("usrloc", "received_column", "received")
    modparam("usrloc", "socket_column", "socket")
    modparam("usrloc", "path_column", "path")
    modparam("usrloc", "use_domain", 1)
    modparam("usrloc", "desc_time_order", 0)
    modparam("usrloc", "timer_interval", 60)
    modparam("usrloc", "db_url", "postgres://xxx:xxx@x.x.x.x/opensips")
    modparam("usrloc", "db_mode", 1)
    modparam("usrloc", "matching_mode", 1)
    modparam("usrloc", "cseq_delay", 20)
    modparam("usrloc", "hash_size", 9)
    ---
    (gdb) frame 0
    #0 0x00002ad9dcd68987 in release_urecord (_r=0x2ad9e3589aa0) at urecord.c:417
    417 mem_delete_urecord(_r->slot->d, _r);
    (gdb) do "print *_r"
    You can't do that without a process to debug.

     
  • Sergey,

    the command you have to run in GDB is:
    print *_r

    Regards,
    Bogdan

     
  • Sergey Lavrov
    Sergey Lavrov
    2011-11-10

    Core was generated by `/usr/sbin/opensips'.
    Program terminated with signal 11, Segmentation fault.
    #0 0x00002ad9dcd68987 in release_urecord (_r=0x2ad9e3589aa0) at urecord.c:417
    417 mem_delete_urecord(_r->slot->d, _r);
    (gdb) frame 0
    #0 0x00002ad9dcd68987 in release_urecord (_r=0x2ad9e3589aa0) at urecord.c:417
    417 mem_delete_urecord(_r->slot->d, _r);
    (gdb) print *_r
    $1 = {domain = 0x2ad9e3bdc460, aor = {s = 0x2ad9e2c92cf8 "303-2default@domain.com=sym", len = 34}, aorhash = 2875311847, contacts = 0x2ad9e2a07650, slot = 0x2ad9e3bddab8}

     
  • Could you also do:

    p *_r->slot

    p *_r->slot->d

    Thanks and regards,
    Bogdan

     
  • Sergey Lavrov
    Sergey Lavrov
    2011-11-11

    (gdb) p *_r->slot
    $2 = {records = 0x2ad9e3be27b0, d = 0x2ad9e3bdc4c0, lock = 0x2ad9e2249a14}
    (gdb) p *_r->slot->d
    $3 = {name = 0x2ad9e3bdc460, ins_list = 0x0, size = 512, table = 0x2ad9e3bdc510, users = 0x2ad9e3be6550, contacts = 0x2ad9e3be65f8, expires = 0x2ad9e3be66a0}

     
  • Strange result - any change to be able to investigate the core file directly on the machine were it was generated ? It will speed up the process.

    Regards,
    Bogdan

     
  • Sergey Lavrov
    Sergey Lavrov
    2011-11-14

    I sent information about access to your email.

     
    • status: open --> closed-fixed
     
  • Hello,

    Thanks very much for all the help in tracing this bug.
    I have committed a fix for this in trunk, 1.7 and 1.6 branches so please do an update and test.

    Please open a new bug report if you get more crashes even with this fix.

    Regards,
    Vlad